Bug 839431 - Search results provide incorrect/unexpected results
Search results provide incorrect/unexpected results
Status: CLOSED UPSTREAM
Product: Bugzilla
Classification: Community
Component: Query/Bug List (Show other bugs)
4.2
Unspecified Unspecified
medium Severity medium (vote)
: ---
: ---
Assigned To: Simon Green
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-11 20:46 EDT by John Skeoch
Modified: 2014-10-12 18:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-07 08:07:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Skeoch 2012-07-11 20:46:29 EDT
Creating a new search that should fulfil the following conditions:

1. jskeoch@redhat.com has commented on (ever)
2. The status has changed to Verified after 2012-06-18

Used the "Search by People" for condition#1
Used the "Search by Change History" for condition#2

The following link should provide this search:

https://bugzilla.redhat.com/buglist.cgi?cmdtype=runnamed&namedcmd=Verified%20with%20period&list_id=276927

-------------------

Actual results:

All bugs that jskeoch has ever commented on, that show as "Verified" status after 2012-06-18.

Expected results:

All bugs that jskeoch has ever commented on, that have changed to "Verified" status after 2012-06-18.

-------------------

Examples of incorrect/unexpected result:

https://bugzilla.redhat.com/show_activity.cgi?id=494031
https://bugzilla.redhat.com/show_bug.cgi?id=494031
https://bugzilla.redhat.com/show_bug.cgi?id=511863
https://bugzilla.redhat.com/show_bug.cgi?id=524320
Comment 1 Simon Green 2012-09-07 08:07:08 EDT
This is a known issue and is tracked by the upstream bug https://bugzilla.mozilla.org/show_bug.cgi?id=677757

Red Hat Bugzilla will inherit the changes from upstream in the appropriate release.

  -- simon

Note You need to log in before you can comment on or make changes to this bug.